chiark / gitweb /
finish off FLAC support
[disorder] / README
diff --git a/README b/README
index 414e8f5..124524f 100644 (file)
--- a/README
+++ b/README
@@ -14,37 +14,41 @@ variants in some cases without too much effort.  Things you will need:
 
 Build dependencies:
   Name             Tested              Notes
-  libdb            4.3.21              4.2 and earlier won't work
-  libgc            6.3
-  libvorbisfile    1.0.1
-  libpcre          4.5                 need UTF-8 support
+  libdb            4.3.29              4.2 and earlier won't work
+  libgc            6.8
+  libvorbisfile    1.1.2
+  libpcre          6.7                 need UTF-8 support
   libmad           0.15.1b
-  libgcrypt        1.2.0
+  libgcrypt        1.2.3
   libao            0.8.6
-  libasound        1.0.8
-  Python           2.3                 (optional)
-  GNU C            3.3, 3.4
+  libasound        1.0.13
+  libFLAC          1.1.2
+  GNU C            4.1.2
+  GNU Make         3.81
+  Python           2.4.4               (optional)
+  GTK+             2.8.20              (if you want the GTK+ client)
+  GLIB             2.12.4              (if you want the GTK+ client)
 
 "Tested" means I've built against that version; earlier or later versions will
 often work too.
 
 Runtime dependencies:
- * Players:
-   + ogg123 and mpg321 work for me, but you could potentially use others.
  * Web server:
    + Apache 1.3.x works for me, but anything that supports CGI and
      authentication should be suitable.
+ * Separate player programs are no longer required (but may still be used)
 
 Development dependencies (only developers will need these):
-  Automake         1.9.4               AM_PATH_PYTHON not good enough in 1.7
-  Autoconf         2.59
-  Libtool          1.5.              1.4 not good enough
+  Automake         1.10                AM_PATH_PYTHON not good enough in 1.7
+  Autoconf         2.61
+  Libtool          1.5.22              1.4 not good enough
   Bazaar (bzr)
 
 On Debian you might ensure you have the required packages as follows:
   apt-get install gcc libc-dev automake autoconf libtool libgtk2.0-dev \
                   libgc-dev libgcrypt-dev libpcre3-dev libvorbis-dev \
-                  libao-dev libmad0-dev libasound2-dev libdb-dev
+                  libao-dev libmad0-dev libasound2-dev libdb4.3-dev \
+                  libflac-dev
 
 Mailing lists:
   http://www.chiark.greenend.org.uk/mailman/listinfo/sgo-software-discuss
@@ -103,7 +107,7 @@ NOTE: If you are upgrading from an earlier version, see README.upgrades.
 
 4. Create /etc/disorder/config.  Start from examples/config.sample and adapt it
    to your own requirements.  In particular, you should:
-    * edit the 'player' commands to reflect the software you have installed.
+    * add 'player' commands for any file formats not supported natively
     * edit the 'collection' command to identify the location(s) of your own
       digital audio files.  These commands also specify the encoding of
       filenames, which you should be sure to get right as recovery from an